Ensure Current Project Style Artifact Build
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/style-artifacts/current/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"style_profile_hash": "<string>",
"branch": "<string>",
"environment_name": "<string>",
"release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"force": false
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/style-artifacts/current/builds"
payload = {
"style_profile_hash": "<string>",
"branch": "<string>",
"environment_name": "<string>",
"release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"force": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
style_profile_hash: '<string>',
branch: '<string>',
environment_name: '<string>',
release_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
force: false
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/style-artifacts/current/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact_hash": "<string>",
"asset_path": "<string>",
"etag": "<string>",
"content_type": "<string>",
"build_run_id": "<string>",
"failure_reason": "<string>",
"updated_at": "<string>"
}Ensure Current Project Style Artifact Build
Ensure there is a background build in progress for the current style artifact selector and profile.
POST
/
projects
/
{project_reference}
/
style-artifacts
/
current
/
builds
Ensure Current Project Style Artifact Build
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
⌘I